import React from 'react';
import { Cascader } from 'antd';
import { eduPfsList } from '../../DicPfsList.js';

const eduPfsSelect = React.createClass({
    getInitialState() {
        return {
            value: [],
            propsbool: true
        }
    },
    onChange(v, s) {
        this.setState({
            value: v
        })
        this.props.Professional(v[0], v[1]);
    },
    componentWillReceiveProps(nextProps) {
        if (nextProps.defValue && this.state.propsbool) {
            this.state.value = nextProps.defValue;
            this.state.propsbool = false;
        };
    },
    render() {
        return (
            <Cascader value={this.state.value} options={eduPfsList} onChange={this.onChange} />
        )
    }
});

export default eduPfsSelect;